
Redmine - Defect #9524

All columns disappearing in issue lists apart from checkbox and issue id

2011-11-04 18:05 - Alex Mace

Status: Closed Start date: 2011-11-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.3

Description

Redmine 1.1.3 (installed using Ubuntu package)

Similar to #8833, I'm getting an issue list with only two columns appear in issue lists after clicking apply. I haven't got any plugins

installed, although I previously did have a couple that I have since removed (Redmine Backlogs and User Messenger). I recently

upgrade our Ubuntu installation to 11.10, which upgraded Redmine from 1.0.5 to 1.1.3.

MySQL Version 5.1.58

Output of script/about:

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20101114115359

production.log from the first click on "Apply", when columns disappear:

Processing IssuesController#index (for 192.168.1.224 at 2011-11-04 17:03:00) [POST]

  Parameters: {"group_by"=>"", "set_filter"=>"1", "project_id"=>"namesco", "action"=>"index", "aut

henticity_token"=>"UZRP7ke5azOJNte4uz64yj4MtdecG1UGBv67KYDOOU4=", "fields"=>["status_id", ""], "op

erators"=>{"start_date"=>"<t+", "assigned_to_role"=>"=", "cf_13"=>"=", "watcher_id"=>"=", "estimat

ed_hours"=>"=", "cf_14"=>"=", "created_on"=>">t-", "priority_id"=>"=", "subproject_id"=>"*", "cf_7

"=>"=", "done_ratio"=>"=", "updated_on"=>">t-", "subject"=>"~", "assigned_to_id"=>"=", "cf_17"=>"=

", "tracker_id"=>"=", "cf_9"=>"=", "due_date"=>"<t+", "author_id"=>"=", "status_id"=>"o", "cf_11"=

>"=", "member_of_group"=>"="}, "values"=>{"start_date"=>[""], "assigned_to_role"=>["3"], "cf_13"=>

["Business Development"], "watcher_id"=>["me"], "estimated_hours"=>[""], "cf_14"=>[""], "created_o

n"=>[""], "priority_id"=>["3"], "subproject_id"=>["31"], "cf_7"=>["0"], "done_ratio"=>[""], "updat

ed_on"=>[""], "subject"=>[""], "assigned_to_id"=>["me"], "cf_17"=>["None"], "tracker_id"=>["1"], "

cf_9"=>[""], "due_date"=>[""], "author_id"=>["me"], "status_id"=>["1"], "cf_11"=>["None"], "member

_of_group"=>["38"]}, "controller"=>"issues", "available_columns"=>[""], "query"=>{"column_names"=>

["tracker,status,priority,subject,assigned_to,updated_on"]}}

Rendering issues/index.rhtml

Completed in 756ms (View: 293, DB: 121) | 200 OK [http://bacon.server.dev/redmine/issues?set_filte

r=1]

 Second click, which brings everything back again:

Processing IssuesController#index (for 192.168.1.224 at 2011-11-04 17:04:20) [POST]

  Parameters: {"group_by"=>"", "set_filter"=>"1", "project_id"=>"namesco", "action"=>"index", "aut

henticity_token"=>"UZRP7ke5azOJNte4uz64yj4MtdecG1UGBv67KYDOOU4=", "fields"=>["status_id", ""], "op

erators"=>{"start_date"=>"<t+", "assigned_to_role"=>"=", "cf_13"=>"=", "watcher_id"=>"=", "estimat

ed_hours"=>"=", "cf_14"=>"=", "created_on"=>">t-", "priority_id"=>"=", "subproject_id"=>"*", "cf_7
"=>"=", "done_ratio"=>"=", "updated_on"=>">t-", "subject"=>"~", "assigned_to_id"=>"=", "cf_17"=>"=

", "tracker_id"=>"=", "cf_9"=>"=", "due_date"=>"<t+", "author_id"=>"=", "status_id"=>"o", "cf_11"=

>"=", "member_of_group"=>"="}, "values"=>{"start_date"=>[""], "assigned_to_role"=>["3"], "cf_13"=>

["Business Development"], "watcher_id"=>["me"], "estimated_hours"=>[""], "cf_14"=>[""], "created_o

n"=>[""], "priority_id"=>["3"], "subproject_id"=>["31"], "cf_7"=>["0"], "done_ratio"=>[""], "updat

ed_on"=>[""], "subject"=>[""], "assigned_to_id"=>["me"], "cf_17"=>["None"], "tracker_id"=>["1"], "

cf_9"=>[""], "due_date"=>[""], "author_id"=>["me"], "status_id"=>["1"], "cf_11"=>["None"], "member

_of_group"=>["38"]}, "controller"=>"issues", "available_columns"=>[""]}

Rendering issues/index.rhtml

Completed in 461ms (View: 286, DB: 6) | 200 OK [http://bacon.server.dev/redmine/issues?set_filter=

1]

 If there is anymore information I can provide, please let me know. Any help appreciated.

Related issues:

Has duplicate Redmine - Defect #11308: After update to ruby 1.9.2p0 i see onl... Closed

History

#1 - 2011-11-05 14:38 - Etienne Massip

- Category set to Issues

- Affected version (unused) set to 1.1.3

- Affected version set to 1.1.3

#2 - 2011-11-22 19:49 - Oscar Cosmo

I have the same issue with redmine 1.2.2 after upgrading from 1.0.2, though I am running redmine_backlogs plugin.

#3 - 2011-12-01 20:26 - Lee Robert

The redmine installation at my workplace behaves this way as well. We are running 1.2.2

ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

RubyGems version 1.7.2

Rack version 1.1.2

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Application root /usr/share/redmine

Environment production

Database adapter mysql

#4 - 2011-12-01 20:56 - Etienne Massip

Any plugins?

#5 - 2011-12-01 21:12 - Lee Robert

Here is the output of script/about

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /usr/share/redmine

Environment               development

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Default queries per project   0.0.5

Blocks Layout plugin          0.0.2

Redmine Homepage              0.1.0

#6 - 2011-12-01 21:39 - Etienne Massip
Could you please try without plugins?

#7 - 2011-12-02 03:19 - Lee Robert

I installed a fresh copy at home to test and it did not exhibit the issue. I also have the same version used for tracking issues for MCSharp and it did

show the issues with plugins running

I disabled the default queries plugin by moving it out of the folder and restarting redmine. The issue stopped happening. I enabled the default queries

plugin again by moving back into the folder and restarting redmine. The issue is no longer happening. I should note that one key difference I have

noticed is that the issue lists are no longer using ajax to be loaded, which seems to be where the problem was. I'm not sure why or what caused that

to stop happening.

#8 - 2011-12-02 10:49 - Alex Mace

No plugins installed here...

#9 - 2011-12-02 11:26 - Etienne Massip

Alex Mace wrote:

No plugins installed here...

 Right, but you did have Backlogs plugin and Oscar's using it.

#10 - 2011-12-02 12:15 - Alex Mace

That's true, but I've removed it. Any suggestions for anything that could have been missed during the removal that I could try? Or is there a guide to

migrating my data across to a clean installation that won't bring plugin data across?

#11 - 2011-12-02 15:22 - Lee Robert

I'm not sure why it happens, but I upgraded my default_queries plugin at work and it seems to have fixed the issue. Something tells me that it was the

rake db:migrate_plugins script that fixed it more than the plugin itself though.

#12 - 2011-12-04 17:12 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

Alex Mace wrote:

That's true, but I've removed it. Any suggestions for anything that could have been missed during the removal that I could try? Or is there a guide

to migrating my data across to a clean installation that won't bring plugin data across?

 Once you've removed your plugin(s) according to Plugins#Uninstalling-a-plugin (thus also including a restart of the webserver) this problem shouldn't

occur any longer. If it still persists, then please move the discussion about it to the forums.
